#ifndef AMBWIN_H
#define AMBWIN_H


#include "RMWin.h"

class AmbWin : public RMWin
{
public:
	AmbWin();
	BOOL CreateScene();
protected:
	//{{AFX_MSG(AmbWin)
	afx_msg void OnRenderWireframe();
	afx_msg void OnRenderFlat();
	afx_msg void OnRenderGouraud();
	afx_msg void OnUpdateRenderFlat(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderGouraud(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRenderWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	LPDIRECT3DRMMESHBUILDER meshbuilder;
};


#endif
